Bullet Collision Detection & Physics Library: btWheelInfoConstructionInfo Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btWheelInfoConstructionInfo Struct Reference

`#include <btWheelInfo.h>`

Collaboration diagram for btWheelInfoConstructionInfo:
[legend]

## Public Attributes
btVector3 | m_chassisConnectionCS
btVector3 | m_wheelDirectionCS
btVector3 | m_wheelAxleCS
btScalar | m_suspensionRestLength
btScalar | m_maxSuspensionTravelCm
btScalar | m_wheelRadius
btScalar | m_suspensionStiffness
btScalar | m_wheelsDampingCompression
btScalar | m_wheelsDampingRelaxation
btScalar | m_frictionSlip
btScalar | m_maxSuspensionForce
bool | m_bIsFrontWheel

## Detailed Description

Definition at line 19 of file btWheelInfo.h.

## Member Data Documentation

## ◆ m_bIsFrontWheel

bool btWheelInfoConstructionInfo::m_bIsFrontWheel

Definition at line 33 of file btWheelInfo.h.

## ◆ m_chassisConnectionCS

btVector3 btWheelInfoConstructionInfo::m_chassisConnectionCS

Definition at line 21 of file btWheelInfo.h.

## ◆ m_frictionSlip

btScalar btWheelInfoConstructionInfo::m_frictionSlip

Definition at line 31 of file btWheelInfo.h.

## ◆ m_maxSuspensionForce

btScalar btWheelInfoConstructionInfo::m_maxSuspensionForce

Definition at line 32 of file btWheelInfo.h.

## ◆ m_maxSuspensionTravelCm

btScalar btWheelInfoConstructionInfo::m_maxSuspensionTravelCm

Definition at line 25 of file btWheelInfo.h.

## ◆ m_suspensionRestLength

btScalar btWheelInfoConstructionInfo::m_suspensionRestLength

Definition at line 24 of file btWheelInfo.h.

## ◆ m_suspensionStiffness

btScalar btWheelInfoConstructionInfo::m_suspensionStiffness

Definition at line 28 of file btWheelInfo.h.

## ◆ m_wheelAxleCS

btVector3 btWheelInfoConstructionInfo::m_wheelAxleCS

Definition at line 23 of file btWheelInfo.h.

## ◆ m_wheelDirectionCS

btVector3 btWheelInfoConstructionInfo::m_wheelDirectionCS

Definition at line 22 of file btWheelInfo.h.

## ◆ m_wheelRadius

btScalar btWheelInfoConstructionInfo::m_wheelRadius

Definition at line 26 of file btWheelInfo.h.

## ◆ m_wheelsDampingCompression

btScalar btWheelInfoConstructionInfo::m_wheelsDampingCompression

Definition at line 29 of file btWheelInfo.h.

## ◆ m_wheelsDampingRelaxation

btScalar btWheelInfoConstructionInfo::m_wheelsDampingRelaxation

Definition at line 30 of file btWheelInfo.h.

The documentation for this struct was generated from the following file:

- btWheelInfo.h